using UnityEngine;
using System.Collections;

public class IGDCBase : MonoBehaviour
{

    private Transform _transform;

	void Start () 
    {
        _transform = transform;
	}
	
	void Update () 
    {
        _transform.rotation = Quaternion.Euler(_transform.rotation.eulerAngles + new Vector3(0f, 100f * Time.deltaTime, 0.0f));   
	}

    void OnDestroy()
    {
        var model = (FindObjectOfType(typeof(GameModel)) as GameModel);
        if (model)
            model.lives = -1;
    }

}
